Bug 255741 - databases/mdbx: Update to 0.10.0
Summary: databases/mdbx: Update to 0.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Loïc Bartoletti
URL: https://github.com/erthink/libmdbx/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-10 06:50 UTC by mahlon
Modified: 2021-06-14 04:58 UTC (History)
1 user (show)

See Also:


Attachments
Patchfile for 0.10.0. (3.37 KB, patch)
2021-05-10 06:50 UTC, mahlon
no flags Details | Diff
fixed mdbx 0.10.0 (4.31 KB, patch)
2021-06-01 16:42 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mahlon 2021-05-10 06:50:23 UTC
Created attachment 224804 [details]
Patchfile for 0.10.0.

0.9.3 -> 0.10.0.

Thanks!
Comment 1 Loïc Bartoletti freebsd_committer 2021-06-01 16:35:56 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

^Triage: [tags] in issue Titles are deprecated
Comment 2 Loïc Bartoletti freebsd_committer 2021-06-01 16:42:12 UTC
Created attachment 225464 [details]
fixed mdbx 0.10.0

Thanks for your contribution. The plist was not updated, I fixed that. BTW I made a small change on post-install using RLN instead of LN xx.
Comment 3 mahlon 2021-06-01 19:31:01 UTC
(In reply to Loïc Bartoletti from comment #2)


Link to changelog added -- nice catch on the plist (mdbx_drop) -- thanks!
Comment 4 commit-hook freebsd_committer 2021-06-03 18:28:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e1ada5df91ad93e4ad5a685ff823c9e709200217

commit e1ada5df91ad93e4ad5a685ff823c9e709200217
Author:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
AuthorDate: 2021-06-03 18:11:23 +0000
Commit:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
CommitDate: 2021-06-03 18:11:23 +0000

    databases/mdbx: Update to 0.10.0

    Changes:
      https://github.com/erthink/libmdbx/releases/tag/v0.10.0

    PR:             255741
    Reported by:    mahlon@martini.nu (maintainer)

 databases/mdbx/Makefile                |  7 ++++---
 databases/mdbx/distinfo                |  6 +++---
 databases/mdbx/files/patch-GNUmakefile | 28 ++++++++++++++--------------
 databases/mdbx/pkg-plist               |  2 ++
 4 files changed, 23 insertions(+), 20 deletions(-)
Comment 5 Loïc Bartoletti freebsd_committer 2021-06-14 04:58:25 UTC
Committed, thanks!